<?php
declare(strict_types=1);

namespace GamesShop\Environment;

final readonly class DatabaseEnvironment
{
    public function __construct(
        public string $driver,
        public string $path
    )
    {
    }

    public function getDoctrineConfig() {
        return [
            'driver' => $this->driver,
            'path' => $this->path
        ];
    }
}