<?php
declare(strict_types=1);

namespace GamesShop\Login;

enum LoginMethod: int
{
    case DISCORD = 1;

    public function getIconClass(): string
    {
        return match ($this) {
            self::DISCORD => 'fa-discord',
        };
    }

    public function getHumanReadableName(): string
    {
        return match ($this) {
            self::DISCORD => 'Discord',
        };
    }
}
